package shanghu

import "github.com/gin-gonic/gin"

func InitShangHuRouter(engine *gin.RouterGroup) {
	v1 := engine.Group("v1")
	{
		v1.POST("/merchant/user/set", OpenIdSet)                            //获取openid 创建用户
		v1.POST("/client/user/set", ClientOpenIdSet)                        //获取openid 创建用户
		v1.POST("/client/user/info", ClientGetUserInfo)                     //client获取用户信息
		v1.POST("/merchant/user/info", GetUserInfo)                         //获取用户信息
		v1.POST("/merchant/card/create", CreateMerchantCard)                //创建商户卡
		v1.POST("/merchant/card/get", GetMerchantCard)                      //获取商户卡信息
		v1.POST("/merchant/card/list", MerchantCardList)                    //商户卡列表                                               //获取商户卡列表
		v1.POST("/merchant/card/update", UpdateMerchantCard)                //更新商户卡
		v1.POST("/merchant/cart/project/create", CreateMerchantCardProject) //创建商户项目
		v1.POST("/merchant/card/project/get", GetMerchantCardProject)       //获取商户卡项目信息
		v1.POST("/merchant/card/project/list", MerchantCardProjectList)     //获取商户卡项目列表
		v1.POST("/merchant/card/project/update", UpdateMerchantCardProject) //更新商户卡项目
		v1.POST("/merchant/create", CreateMerchant)                         //商户信息
		v1.POST("/merchant/get", GetMerchant)                               //获取商户信息
		v1.POST("/merchant/list", MerchantList)                             //获取商户列表
		v1.POST("/merchant/update", UpdateMerchant)                         //更新商户信息
		v1.POST("/client/card/list", ClientCardList)                        //客户端卡列表
		v1.POST("/client/card/info", GetClientCard)                         //获取客户卡信息
		v1.POST("/client/qr/get", GetClientCardQR)                          //获取二维码
	}
}
