package models

type CreateMerchantCardRequest struct {
	MerchantCardName  string  `json:"merchant_card_name"`  // 商户卡名称
	MerchantOpenID    string  `json:"open_id"`             // openid
	CardProjectData   []int64 `json:"card_project_data"`   // 项目
	CardPrice         string  `json:"card_price"`          // 单价
	ActivityEndTime   string  `json:"activity_end_time"`   // 活动结束时间
	ActivityStartTime string  `json:"activity_start_time"` // 活动开始时间
	MerchantCardTime  string  `json:"merchant_card_time"`  // 商户卡有效期
	Inventory         string  `json:"inventory"`           // 库存数量
	QuotaNum          string  `json:"quota_num"`           // 限购数量
	UseRule           string  `json:"use_rule"`            // 使用规则
	Picture           string  `json:"picture"`             // 图片
	RebateRate        string  `json:"rebate_rate"`         // 佣金比例
}

type GetMerchantCardRequest struct {
	MerchantId int64 `json:"merchant_card_id"` //商户卡id
}

type GetMerchantCardReply struct {
	MerchantCardName  string `json:"merchant_card_name"`  // 商户卡名称
	MerchantOpenID    string `json:"merchant_open_id"`    // openid
	CardProjectData   string `json:"card_project_data"`   // 项目
	CardPrice         string `json:"card_price"`          // 单价
	ActivityEndTime   string `json:"activity_end_time"`   // 活动结束时间
	ActivityStartTime string `json:"activity_start_time"` // 活动开始时间
	MerchantCardTime  string `json:"merchant_card_time"`  // 商户卡有效期
	Inventory         int64  `json:"inventory"`           // 库存数量
	QuotaNum          int64  `json:"quota_num"`           // 限购数量
	UseRule           string `json:"use_rule"`            // 使用规则
	Picture           string `json:"picture"`             // 图片
	RebateRate        int64  `json:"rebate_rate"`
}

type MerchantCardListRequest struct {
	OpenId    string `json:"open_id"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
	TypeList  int    `json:"type_list"` //1-未开始 2-进行中 3-已结束
}

type UpdateMerchantCardRequest struct {
	ID                int64  `json:"id"`
	ActivityEndTime   int64  `json:"activity_end_time"`   // 活动结束时间
	ActivityStartTime int64  `json:"activity_start_time"` // 活动开始时间
	Inventory         int64  `json:"inventory"`           // 库存数量
	QuotaNum          int64  `json:"quota_num"`           // 限购数量
	UseRule           string `json:"use_rule"`            // 使用规则
	Picture           string `json:"picture"`             // 图片
}
