package shanghu

import (
	"time"
)

// 客户端交易记录
type MerchantClientTrans struct {
	ID             int       `gorm:"column:id;type:int(11);primary_key;AUTO_INCREMENT" json:"id"`     // 主键
	Type           int       `gorm:"column:type;type:int(11)" json:"type"`                            // 1-收款
	MerchantCardID int64     `gorm:"column:merchant_card_id;type:bigint(20)" json:"merchant_card_id"` // 商户卡id
	Amount         string    `gorm:"column:amount;type:decimal(10,2)" json:"amount"`                  // 交易金额
	TransID        string    `gorm:"column:trans_id;type:varchar(255)" json:"trans_id"`               // 交易id
	ClientOpenID   string    `gorm:"column:client_open_id;type:varchar(255)" json:"client_open_id"`   // openid
	CreateBy       int64     `gorm:"column:create_by;type:bigint(20)" json:"create_by"`               // 创建者
	UpdateBy       int64     `gorm:"column:update_by;type:bigint(20)" json:"update_by"`               // 更新者
	CreatedAt      time.Time `gorm:"column:created_at;type:datetime(3)" json:"created_at"`            // 创建时间
	UpdatedAt      time.Time `gorm:"column:updated_at;type:datetime(3)" json:"updated_at"`            // 最后更新时间
	DeletedAt      time.Time `gorm:"column:deleted_at;type:datetime(3)" json:"deleted_at"`            // 删除时间
}
